### Hierarchy

- ProgressIndicator

### Implements

- OnChanges

## Index

### Inputs

- orientation
- skeleton
- spacing
- steps
- current

### Outputs

- stepSelected

### Constructors

- constructor

### Properties

- _current
- experimental
- orientation
- skeleton
- spacing
- stepSelected
- steps

### Accessors

- current

### Methods

- ngOnChanges
- setProgressIndicatorStates
- skeletonSteps

## Constructors

### constructor

- new ProgressIndicator(experimental: ExperimentalService): ProgressIndicator

- - Defined in src/progress-indicator/progress-indicator.component.ts:86

  #### Parameters

  - ##### experimental: ExperimentalService

  #### Returns ProgressIndicator

## Properties

### Private _current

_current: number

- Defined in src/progress-indicator/progress-indicator.component.ts:86

### Protected experimental

experimental: ExperimentalService

- Defined in src/progress-indicator/progress-indicator.component.ts:88

### orientation

@Input()
orientation: "horizontal" | "vertical" = "horizontal"

- Defined in src/progress-indicator/progress-indicator.component.ts:76

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/progress-indicator/progress-indicator.component.ts:77

### spacing

@Input()
spacing: "default" | "equal" = "default"

- Defined in src/progress-indicator/progress-indicator.component.ts:78

### stepSelected

@Output()
stepSelected: EventEmitter<object> = new EventEmitter<{ step: Step, index: number }>()

- Defined in src/progress-indicator/progress-indicator.component.ts:73

### steps

@Input()
steps: Array<Step>

- Defined in src/progress-indicator/progress-indicator.component.ts:75

## Accessors

### current

@Input()
current:

- Defined in src/progress-indicator/progress-indicator.component.ts:80
- Defined in src/progress-indicator/progress-indicator.component.ts:83

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/progress-indicator/progress-indicator.component.ts:90

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### Private setProgressIndicatorStates

- setProgressIndicatorStates(): void

- - Defined in src/progress-indicator/progress-indicator.component.ts:96

  #### Returns void

### Static skeletonSteps

- skeletonSteps(stepCount: number): any[]

- - Defined in src/progress-indicator/progress-indicator.component.ts:64

  #### Parameters

  - ##### stepCount: number

  #### Returns any[]

Generated using TypeDoc